namespace Brizco.Domain.CommandQueries.Commands;

public record CreateShiftPlanCommand(DateTime PlanDate,Guid ShiftId,Guid RoutineId, List<KeyValuePair<Guid,Guid>> UserAndPositionIds)
    :IRequest<ShiftPlanLDto>;

public record UpdateShiftPlanCommand(Guid Id,DateTime PlanDate, Guid ShiftId, Guid RoutineId, List<KeyValuePair<Guid, Guid>> UserAndPositionIds)
    : IRequest<bool>;

public record DeleteShiftPlanCommand(Guid Id)
    : IRequest<bool>;